Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.sort
Class EmptyIntIterator

    java.lang.Object
      net.sf.saxon.sort.EmptyIntIterator

All Implemented Interfaces:
  IntIterator

    public class EmptyIntIterator

extends java.lang.Object
implements IntIterator

An iterator over a zero-length sequence of integers

Method Summary
`static EmptyIntIterator` | `getInstance()` Get the singular instance of this class
`boolean` | `hasNext()` Test whether there are any more integers in the sequence
`int` | `next()` Return the next integer in the sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static EmptyIntIterator getInstance()

  Get the singular instance of this class

  Returns:
    the singular instance

### hasNext

    public boolean hasNext()

  Test whether there are any more integers in the sequence

  Specified by:
    `hasNext` in interface `IntIterator`
  Returns:
    true if there are more integers to come

### next

    public int next()

  Return the next integer in the sequence. The result is undefined unless hasNext() has been called and has returned true.

  Specified by:
    `next` in interface `IntIterator`
  Returns:
    the next integer in the sequence

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.